apiVersion: apiextensions.crossplane.io/v1
kind: CompositeResourceDefinition
metadata:
  name: xdnsrecords.crossplane.jobtechdev.se
spec:
  group: crossplane.jobtechdev.se
  names:
    kind: XDnsRecord
    plural: xdnsrecords
  claimNames:
    kind: DnsRecord
    plural: dnsrecords
  versions:
  - name: v1alpha1
    served: true
    referenceable: true
    schema:
      openAPIV3Schema:
        type: object
        properties:
          spec:
            type: object
            properties:
              parameters:
                type: object
                properties:
                  name:
                    type: string
                  domain:
                    type: string
                required:
                  - name
                  - domain
            required:
              - parameters
